Summary: Improved console FTP client
Name: ncftp
Version: 3.2.5
Release:    1%{?dist}
License: BSD-3-Clause
URL: http://www.ncftp.com/ncftp/
Source0: ftp://ftp.ncftp.com/ncftp/ncftp-%{version}-src.tar.bz2
Patch0: ftp://ftp.openbsd.com/ports/distfiles/ncftp-325-v6.diff.gz
Patch1: ncftp-3.0.3-resume.patch
Patch2: ncftp-3.1.5-pmeter.patch
Patch3: ncftp-3.2.3-ncursesw.patch
Patch4: ncftp-3.2.5-gcc10.patch
Patch5: ncftp-configure-c99.patch
BuildRequires: make
BuildRequires: ncurses-devel
BuildRequires: autoconf, automake, libtool

%description
Ncftp is an improved FTP client. Ncftp's improvements include support
for command line editing, command histories, recursive gets, automatic
anonymous logins, and more.


%prep
%setup -q
%patch0 -p1 -b .ipv6
%patch1 -p1 -b .res
%patch2 -p1 -b .pmeter
%patch3 -p1 -b .ncursesw
%patch4 -p1 -b .gcc10
%patch5 -p1 -b .configure-c99


%build
autoreconf --install --force -I autoconf_local
%configure --enable-signals --enable-ipv6
make STRIPFLAG=""


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}{%{_bindir},%{_mandir}/man1}
make install DESTDIR=%{buildroot}



%files
%doc README* doc/html/
%doc doc/CHANGELOG.txt doc/FIREWALLS_AND_PROXIES.txt doc/LICENSE.txt
%doc doc/READLINE.txt doc/what_changed_between_v2_v3.txt
%{_bindir}/ncftp
%{_bindir}/ncftpget
%{_bindir}/ncftpput
%{_bindir}/ncftpbatch
%{_bindir}/ncftpls
%{_bindir}/ncftpbookmarks
%{_bindir}/ncftpspooler
%{_mandir}/man1/ncftp.1*
%{_mandir}/man1/ncftpget.1*
%{_mandir}/man1/ncftpput.1*
%{_mandir}/man1/ncftpbatch.1*
%{_mandir}/man1/ncftpls.1*
%{_mandir}/man1/ncftpspooler.1*


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.2.5-1
- initial build
